

# CreatePackageGroup
<a name="API_CreatePackageGroup"></a>

 Creates a package group. For more information about creating package groups, including example CLI commands, see [Create a package group](https://docs.aws.amazon.com/codeartifact/latest/ug/create-package-group.html) in the *CodeArtifact User Guide*. 

## Request Syntax
<a name="API_CreatePackageGroup_RequestSyntax"></a>

```
POST /v1/package-group?domain=domain&domain-owner=domainOwner HTTP/1.1
Content-type: application/json

{
   "contactInfo": "string",
   "description": "string",
   "packageGroup": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreatePackageGroup_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domain](#API_CreatePackageGroup_RequestSyntax) **   <a name="codeartifact-CreatePackageGroup-request-uri-domain"></a>
 The name of the domain in which you want to create a package group.   
Length Constraints: Minimum length of 2. Maximum length of 50.  
Pattern: `[a-z][a-z0-9\-]{0,48}[a-z0-9]`   
Required: Yes

 ** [domainOwner](#API_CreatePackageGroup_RequestSyntax) **   <a name="codeartifact-CreatePackageGroup-request-uri-domainOwner"></a>
 The 12-digit account number of the AWS account that owns the domain. It does not include dashes or spaces.   
Length Constraints: Fixed length of 12.  
Pattern: `[0-9]{12}` 

## Request Body
<a name="API_CreatePackageGroup_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [contactInfo](#API_CreatePackageGroup_RequestSyntax) **   <a name="codeartifact-CreatePackageGroup-request-contactInfo"></a>
 The contact information for the created package group.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.  
Pattern: `\P{C}*`   
Required: No

 ** [description](#API_CreatePackageGroup_RequestSyntax) **   <a name="codeartifact-CreatePackageGroup-request-description"></a>
 A description of the package group.   
Type: String  
Length Constraints: Maximum length of 1000.  
Pattern: `\P{C}*`   
Required: No

 ** [packageGroup](#API_CreatePackageGroup_RequestSyntax) **   <a name="codeartifact-CreatePackageGroup-request-packageGroup"></a>
The pattern of the package group to create. The pattern is also the identifier of the package group.   
Type: String  
Length Constraints: Minimum length of 2. Maximum length of 520.  
Pattern: `[^\p{C}\p{IsWhitespace}]+`   
Required: Yes

 ** [tags](#API_CreatePackageGroup_RequestSyntax) **   <a name="codeartifact-CreatePackageGroup-request-tags"></a>
One or more tag key-value pairs for the package group.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 200 items.  
Required: No

## Response Syntax
<a name="API_CreatePackageGroup_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "packageGroup": { 
      "arn": "string",
      "contactInfo": "string",
      "createdTime": number,
      "description": "string",
      "domainName": "string",
      "domainOwner": "string",
      "originConfiguration": { 
         "restrictions": { 
            "string" : { 
               "effectiveMode": "string",
               "inheritedFrom": { 
                  "arn": "string",
                  "pattern": "string"
               },
               "mode": "string",
               "repositoriesCount": number
            }
         }
      },
      "parent": { 
         "arn": "string",
         "pattern": "string"
      },
      "pattern": "string"
   }
}
```

## Response Elements
<a name="API_CreatePackageGroup_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [packageGroup](#API_CreatePackageGroup_ResponseSyntax) **   <a name="codeartifact-CreatePackageGroup-response-packageGroup"></a>
 Information about the created package group after processing the request.   
Type: [PackageGroupDescription](API_PackageGroupDescription.md) object

## Errors
<a name="API_CreatePackageGroup_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The operation did not succeed because of an unauthorized access attempt.   
HTTP Status Code: 403

 ** ConflictException **   
 The operation did not succeed because prerequisites are not met.     
 ** resourceId **   
 The ID of the resource.   
 ** resourceType **   
 The type of AWS resource. 
HTTP Status Code: 409

 ** InternalServerException **   
 The operation did not succeed because of an error that occurred inside AWS CodeArtifact.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The operation did not succeed because the resource requested is not found in the service.     
 ** resourceId **   
 The ID of the resource.   
 ** resourceType **   
 The type of AWS resource. 
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
 The operation did not succeed because it would have exceeded a service limit for your account.     
 ** resourceId **   
 The ID of the resource.   
 ** resourceType **   
 The type of AWS resource. 
HTTP Status Code: 402

 ** ThrottlingException **   
 The operation did not succeed because too many requests are sent to the service.     
 ** retryAfterSeconds **   
 The time period, in seconds, to wait before retrying the request. 
HTTP Status Code: 429

 ** ValidationException **   
 The operation did not succeed because a parameter in the request was sent with an invalid value.     
 ** reason **   
 
HTTP Status Code: 400

## See Also
<a name="API_CreatePackageGroup_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/codeartifact-2018-09-22/CreatePackageGroup) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/codeartifact-2018-09-22/CreatePackageGroup) 